<template>
  <form @submit.prevent="changeData">
    <label>NAME</label>
    <input type="text" v-model="enteredName" />

    <label>AGE</label>
    <input type="number" v-model="enteredAge" />

    <button>CHANGE</button>
  </form>
</template>

<script>
export default {
  emits: ["change-data"],
  data() {
    return {
      enteredName: "",
      enteredAge: "",
    };
  },
  methods: {
    changeData() {
      this.$emit("change-data", this.enteredName, this.enteredAge);
    },
  },
};
</script>
